Package ghidra.program.model.lang

# Class SpaceNames

java.lang.Object
ghidra.program.model.lang.SpaceNames

public class SpaceNames extends Object
Reserved AddressSpace names across architectures and associated attributes

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTANT_SPACE_INDEX`
  `static final String`
  `CONSTANT_SPACE_NAME`
  `static final String`
  `FSPEC_SPACE_NAME`
  `static final String`
  `IOP_SPACE_NAME`
  `static final String`
  `JOIN_SPACE_NAME`
  `static final int`
  `OTHER_SPACE_INDEX`
  `static final String`
  `OTHER_SPACE_NAME`
  `static final String`
  `STACK_SPACE_NAME`
  `static final String`
  `UNIQUE_SPACE_NAME`
  `static final int`
  `UNIQUE_SPACE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpaceNames()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONSTANT_SPACE_NAME

    public static final String CONSTANT_SPACE_NAME
    See Also:
      - Constant Field Values

  - ### UNIQUE_SPACE_NAME

    public static final String UNIQUE_SPACE_NAME
    See Also:
      - Constant Field Values

  - ### STACK_SPACE_NAME

    public static final String STACK_SPACE_NAME
    See Also:
      - Constant Field Values

  - ### JOIN_SPACE_NAME

    public static final String JOIN_SPACE_NAME
    See Also:
      - Constant Field Values

  - ### OTHER_SPACE_NAME

    public static final String OTHER_SPACE_NAME
    See Also:
      - Constant Field Values

  - ### IOP_SPACE_NAME

    public static final String IOP_SPACE_NAME
    See Also:
      - Constant Field Values

  - ### FSPEC_SPACE_NAME

    public static final String FSPEC_SPACE_NAME
    See Also:
      - Constant Field Values

  - ### CONSTANT_SPACE_INDEX

    public static final int CONSTANT_SPACE_INDEX
    See Also:
      - Constant Field Values

  - ### OTHER_SPACE_INDEX

    public static final int OTHER_SPACE_INDEX
    See Also:
      - Constant Field Values

  - ### UNIQUE_SPACE_SIZE

    public static final int UNIQUE_SPACE_SIZE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SpaceNames

    public SpaceNames()